/**
 * me.template
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */

me.template = {
    beforeText : null,
    selectedText : null,
    afterText : null,
    searchWord : '',
    searchResult : false,
    scrollTop : 0,
    open : function(type)
    {
        me.template.scrollTop = $('#source_code').attr('scrollTop');
        me.template.getSelection();
        var selectedText = (me.template.selectedText) ? me.template.selectedText : '';
        $.ajax({
            type: 'POST',
            url: '../Metag/open?cls=on',
            data: ({
                'type' : type,
                'selected_text' : selectedText,
                '_form_id' : $('#_form_id').val(),
                '_token' : $('#_token').val()
            }),
            success: function(html){
                me.template.close(true);
                var offset = $('#tag_tools').offset();
                offset.top += $('#tag_tools').height();
                $(html).appendTo('body').draggable({
                    'handle' : '.editor_handle'
                });
                $('.tag_editor').css({
                    top: offset.top + 'px',
                    left: offset.left + 'px',
                    position:'absolute'
                });
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    confirm : function()
    {
        $.ajax({
            type: 'POST',
            url: '../Metag/confirm',
            data: $('#tag_editor_form').serialize(),
            success: function(html){
                me.template.close(true);
                var offset = $('#tag_tools').offset();
                offset.top += $('#tag_tools').height();
                $(html).appendTo('body').draggable();
                $('.tag_editor').css({
                    top: offset.top + 'px',
                    left: offset.left + 'px',
                    position:'absolute'
                });
                if (me.template.selectedText == null) {
                    $('#reflect_button').hide();
                }
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    back : function()
    {
        me.template.close(true);
        $.ajax({
            type: 'POST',
            url: '../Metag/open',
            data: ({
                '_form_id' : $('#_form_id').val(),
                '_token' : $('#_token').val()
            }),
            success: function(html){
                var offset = $('#tag_tools').offset();
                offset.top += $('#tag_tools').height();
                $(html).appendTo('body').draggable();
                $('.tag_editor').css({
                    top: offset.top + 'px',
                    left: offset.left + 'px',
                    position:'absolute'
                });
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    reflect : function()
    {
        if (me.template.selectedText == null) {
            return;
        }
        var code = $('#source_code')[0];
        code.value = me.template.beforeText + $('#open_tag').val() + me.template.selectedText
        + $('#close_tag').val() + me.template.afterText;
        // for IE
        setTimeout(function(){
            $('#source_code').attr('scrollTop', me.template.scrollTop);
        }, 1);
        me.template.close();
    },
    getSelection : function()
    {
        me.template.clearSelection();
        var code = $('#source_code')[0];

        if (document.selection != null) {
            var range = document.selection.createRange();

            // テキストエリア以外が選択されている場合は終了
            if (range.parentElement().id != 'source_code') {
                return;
            }

            // 選択文字列を取得
            me.template.selectedText = range.text;

            // 区切り文字列生成
            var delimiter = '<!--DELIMITER_' + Math.random() + '-->';

            // 選択文字列を区切り用文字列と置換
            if (me.template.selectedText) {
                range.text = delimiter;
            }

            // 選択文字列の前後の文字を取得
            var pieces = code.value.split(delimiter);
            me.template.beforeText = pieces[0];
            me.template.afterText = pieces[1];

            // テキストエリアを元に戻す
            code.value = me.template.beforeText + me.template.selectedText + me.template.afterText;
        } else {
            var selectStart = code.selectionStart;
            var selectEnd = code.selectionEnd;

            if (selectStart == selectEnd) {
                return;
            }

            // 選択文字列を取得
            me.template.selectedText = code.value.substring(selectStart, selectEnd);
            // 選択文字列の前後の文字を取得
            me.template.beforeText = code.value.substring(0, selectStart);
            me.template.afterText = code.value.substring(selectEnd);
        }
        // 選択されていれば、編集不可にする
        if (me.template.selectedText != null) {
            code.disabled = true;
        }
    },
    clearSelection : function()
    {
        me.template.beforeText = null;
        me.template.selectedText = null;
        me.template.afterText = null;
    },
    close : function(blink)
    {
        $('.tag_editor').remove();
        if (! blink) {
            $('#source_code')[0].disabled = false;
        }
    },
    submit : function()
    {
        $('#source_code')[0].disabled = false;
        $('#template_form').trigger('submit');
    },
    search : function()
    {
        var elm = $('#source_code')[0];
        var searchWord = $('#search_word').val();

        if (!me.template.searchResult || me.template.searchWord != searchWord) {
            if (elm.setSelectionRange) {
                elm.setSelectionRange(0, 0);
            }
            me.template.searchWord = searchWord;
        }

        if (window.find) {
            elm.focus();
            me.template.searchResult = window.find(searchWord);
        } else  {
            var rng = elm.createTextRange( );
            if (rng != null) {
                me.template.searchResult = rng.findText(searchWord);
                rng.select();
            }
        }
    },
    selectSourceCode : function()
    {
        if ($('#source_code_tab').is('.template_tab_on')) {
            return;
        }
        $('.template_tab').removeClass('template_tab_on');
        $('#source_code_tab').addClass('template_tab_on');
        $('#source_code, .tag_handle').show();
        $('#preview_iframe').hide();
        me.resize.resizeBox('source_code');
    },
    selectPreview : function()
    {
        if ($('#preview_tab').is('.template_tab_on')) {
            return;
        }
        $('.template_tab').removeClass('template_tab_on');
        $('#preview_tab').addClass('template_tab_on');
        $('#source_code, .tag_handle').hide();
        $('#preview_iframe').show();

        $.ajax({
            type: 'POST',
            url: '../Template/preview',
            data: ({
                'source_code' : $('#source_code').val(),
                '_form_id' : $('#_form_id').val(),
                '_token' : $('#_token').val()
            }),
            success: function(html){
                var iframeDoc = $('#preview_iframe')[0].contentWindow.document;
                iframeDoc.open();
                iframeDoc.write(html);
                iframeDoc.close();
            },
            error: function(XHR, textStatus, errorThrown){
                me.error.ajaxError(XHR, textStatus, errorThrown);
            }
        });
    },
    onloadIframe : function()
    {
        var iframeDoc = $('#preview_iframe')[0].contentWindow.document;

        $(iframeDoc.body).find('*').css({
            'cursor':'pointer'
        }).bind("click", function(event){
            if ($(this).is('img') ) {
                $('#search_word').val($(this).attr('src'));
            } else {
                var searchWord;
                if (event.originalEvent.explicitOriginalTarget) {
                    searchWord = event.originalEvent.explicitOriginalTarget.nodeValue;
                } else {
                    searchWord = $(this).text();
                }
                if (searchWord == null) {
                    return false;
                }
                var re = new RegExp(/(\r|\n)/g);
                searchWord = searchWord.replace(re, '');
                $('#search_word').val(searchWord);
            }

            me.template.selectSourceCode();
            me.template.search();
            return false;
        });
        me.resize.resizeBox('preview_iframe');
    },
    openSetting : function()
    {
        $('.template_setting,#close_template_setting').show();
        $('#open_template_setting').hide();
        me.resize.resizeBox('source_code');
        me.resize.resizeBox('preview_iframe');
    },
    closeSetting : function()
    {
        $('.template_setting,#close_template_setting').hide();
        $('#open_template_setting').show();
        me.resize.resizeBox('source_code');
        me.resize.resizeBox('preview_iframe');
    },
    deleteTemplate : function()
    {
        if (window.confirm('テンプレートを削除しますか？')){
            $.ajax({
                type: 'POST',
                dataType: 'json',
                url: '../Template/post_delete',
                data: ({
                    'template_id' : $('#template_id').val(),
                    '_token' : $('#_token').val()
                }),
                success: function(json){
                    if (json.result) {
                        $('#back_link').trigger('click');
                    } else {
                        alert(json.message);
                    }
                },
                error: function(XHR, textStatus, errorThrown){
                    me.error.ajaxError(XHR, textStatus, errorThrown);
                }
            });
        }
    }
};