<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title><?php h::p($page_title) ?> - MicroEngine</title>
<link href="../../app/assets/css/me_page.css?v=<?php h::p(SCRIPT_VERSION) ?>" rel="stylesheet">
<link href="../../app/assets/css/ui-lightness/jquery-ui-1.8.10.custom.css" rel="stylesheet" >
<script src="../../app/assets/js/i18n/jquery.ui.datepicker-ja.js"></script>
<script src="../../app/assets/js/nicEdit.js"></script>
<script src="../../app/assets/js/me.page.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.resize.resizeBox('edit_iframe');
    $(window).bind('resize', function(){
        me.resize.resizeBox('edit_iframe');
    });
    me.form.init();
    me.page.init();
});
//-->
</script>
</head>
<body>
<div class="main">
<div class="message"><?php h::p($_flash) ?></div>
<form id="page_edit_form" method="POST" action="../Page/post" onsubmit="me.form.noUnload();">
<div id="error_message" class="error"><?php h::p($form->errors["MESSAGE"]) ?></div>

<div class="edit_header">
<div class="edit_header_left">
<table class="info_table">
<tr>
<th class="info_header_th"><?php h::p($page_title) ?></th>
<td class="info_header_td">
<button id="open_page_setting" type="button" class="link_button" onclick="me.page.openPageSetting();"><img src="../../app/assets/images/silk/arrow_down.png" width="16" height="16" alt="設定を開く"><span>設定を開く</span></button>
<button id="close_page_setting" type="button" class="link_button hidden" onclick="me.page.closePageSetting();"><img src="../../app/assets/images/silk/arrow_up.png" width="16" height="16" alt="設定を閉じる"><span>設定を閉じる</span></button>
</td>
</tr>
<tr>
<th>ページパス</th>
<td>
<?php if (empty($form->_id)): ?>
    <?php h::p($form->directory) ?><input type="text" id="file_name" name="file_name" value="<?php h::p($form->file_name) ?>"><?php h::p($form->extension) ?>
    <div id="file_name_message" class="error"><?php h::p( $form->errors['file_name']) ?></div>
<?php else: ?>
    <?php h::p($form->page_path) ?>
<?php endif; ?>
</td>
</tr>
<tr>
<th>タイトル</th>
<td class="small"><input type="text" id="title" name="title" size="60" value="<?php h::p($form->title) ?>">
<div class="error"><?php h::p( $form->errors["title"]) ?></div>
</td>
</tr>
<tr class="page_setting hidden">
<th>ページID</th>
<td><?php h::p($form->_id) ?></td>
</tr>
<tr class="page_setting hidden">
<th>公開設定</th>
<td>
<input type="radio" id="public_flag_true" name="public_flag" value="1" <?php h::radio($form->public_flag, '1') ?> >
<label for="public_flag_true">公開</label>
<input type="radio" id="public_flag_false" name="public_flag" value="0" <?php h::radio($form->public_flag, '0') ?> >
<label for="public_flag_false">非公開</label><br>
<div class="error"><?php h::p( $form->errors["public_flag"]) ?></div>
</td>
</tr>
<tr class="page_setting hidden">
<th>キーワード</th>
<td class="small"><input type="text" id="keywords" name="keywords" size="60" value="<?php h::p($form->keywords) ?>">
<div class="error"><?php h::p( $form->errors["keywords"]) ?></div>
</td>
</tr>
<tr class="page_setting hidden">
<th>説明</th>
<td class="small"><input type="text" id="description" name="description" size="60" value="<?php h::p($form->description) ?>">
<div class="error"><?php h::p( $form->errors["description"]) ?></div>
</td>
</tr>
<tr class="page_setting hidden">
<th>備考</th>
<td class="small"><input type="text" id="note" name="note" size="60" value="<?php h::p($form->note) ?>">
<div class="error"><?php h::p( $form->errors["note"]) ?></div>
</td>
</tr>
</table>
</div><!-- /edit_header_left -->
<div class="edit_header_right">
<button type="button" id="help_button" class="link_button" onclick="me.help.open('s_page_edit.html');"><img src="../../app/assets/images/silk/help.png" width="16" height="16" alt="ヘルプ"><span>ヘルプ</span></button>    
</div><!-- /edit_header_right -->
<br class="clear">
</div><!-- /edit_header -->

<table class="toolbar_table">
<tr>
<td id="toolbar_box" class="toolbar_box"></td>
</tr>
</table>
<div id="edit_iframe_box">
<iframe id="edit_iframe" name="edit_iframe" src="../Page/edit_iframe?_form_id=<?php h::p($_form_id) ?>"></iframe>
</div>

<div class="bottom_box">
<div class="bottom_left"><input type="button" name="" class="submit_button" value="キャンセル" onclick="location.href='../Main/index?path=<?php h::p($path) ?>';return false;"></div>
<div class="bottom_center">
<input type="button" name="" class="submit_button" value="プレビュー" onclick="me.page.preview();return false;">
<input type="button" name="" class="submit_button" value="登録" onclick="me.page.submit();">
</div>
<br class="clear">
</div><!-- /bottom_box -->
<input type="hidden" id="_id" name="page_id" value="<?php h::p($form->_id) ?>">
<input type="hidden" id="_form_id" name="_form_id" value="<?php h::p($_form_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</div><!-- /main -->
<?php h::render('/Common/footer.php');?>
</body>
</html>