<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title>ファイル同期 - MicroEngine</title>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user'), array('help_page'=>'s_page_sync_file.html'));?>
<div class="topicpath_box">
<span class="topicpath">
<a href="../Main/index"><span>Top</span></a> &#187;
<a href="../System/index"><span>システム</span></a> &#187;
ファイル同期
</span>
</div><!-- /topicpath -->
<div class="main">

<?php if (empty($file_list) && empty($delete_list)): ?>
<p>システムとファイルは同期されています。</p>
<?php else: ?>
<p>システムとファイルを同期します。<br>
※システム（DB）の状態をファイルシステム上の実際のファイルに合わせます。</p>
<?php endif; ?>

<?php if (!empty($file_list)): ?>
以下のファイルをシステムに登録します。
<table class="list_table">
<tr>
<th>登録ファイル</th>
</tr>
<?php $i=1; foreach($file_list as $file): ?>
<?php $class_name = ($i % 2 === 0) ? 'even' : 'odd' ;?>
<tr class="<?php h::p($class_name) ?>">
<td><a href="../Main/index?path=<?php h::p($file->page_path) ?>"><?php h::p(SITE_PATH . $file->page_path)?></a></td>
</tr>
<?php $i++; endforeach; ?>
</table>
<?php endif; ?>

<br>
<?php if (!empty($delete_list)): ?>
以下のファイルをシステム(DB)から除外します。
<table class="list_table">
<tr>
<th>除外ファイル</th>
</tr>
<?php $i=1; foreach($delete_list as $file): ?>
<?php $class_name = ($i % 2 === 0) ? 'even' : 'odd' ;?>
<tr class="<?php h::p($class_name) ?>">
<td><a href="../Main/index?path=<?php h::p($file->page_path) ?>"><?php h::p(SITE_PATH . $file->page_path)?></a></td>
</tr>
<?php $i++; endforeach; ?>
</table>
<?php endif; ?>

<form method="post" action="../Page/post_sync_file">
<div class="bottom_box">
<div class="bottom_left">
<a href="../System/index"><img src="../../app/assets/images/silk/cog.png" width="16" height="16" alt="戻る">
<span>戻る</span></a>
</div>
<div class="bottom_center">
<?php if (!empty($file_list) || !empty($delete_list)): ?>
<input type="submit" name="" class="submit_button" value="同期実行">
<?php endif; ?>
</div>
<br class="clear">
</div><!-- /bottom_box -->
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</div><!-- /main -->
<?php h::render('/Common/footer.php');?>
</body>
</html>